Bug 974380 - [abrt] xorg-x11-server-Xorg-1.14.1-4.fc19: OsAbort: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] xorg-x11-server-Xorg-1.14.1-4.fc19: OsAbort: Process /usr/bin/Xorg was...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:1c6140e697494260ccb61a0c20b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 02:21 EDT by Tom
Modified: 2015-02-17 10:34 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:34:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.90 KB, text/plain)
2013-06-14 02:21 EDT, Tom
no flags Details
File: cgroup (152 bytes, text/plain)
2013-06-14 02:21 EDT, Tom
no flags Details
File: core_backtrace (1.38 KB, text/plain)
2013-06-14 02:21 EDT, Tom
no flags Details
File: dso_list (4.72 KB, text/plain)
2013-06-14 02:21 EDT, Tom
no flags Details
File: environ (126 bytes, text/plain)
2013-06-14 02:21 EDT, Tom
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-14 02:21 EDT, Tom
no flags Details
File: maps (22.53 KB, text/plain)
2013-06-14 02:22 EDT, Tom
no flags Details
File: open_fds (48 bytes, text/plain)
2013-06-14 02:22 EDT, Tom
no flags Details
File: proc_pid_status (890 bytes, text/plain)
2013-06-14 02:22 EDT, Tom
no flags Details
File: var_log_messages (362 bytes, text/plain)
2013-06-14 02:22 EDT, Tom
no flags Details
Xorg log (7.39 KB, text/plain)
2013-11-22 06:20 EST, Yann Droneaud
no flags Details
kernel log with nouveau debug messages (7.08 KB, application/x-gzip)
2013-11-22 06:22 EST, Yann Droneaud
no flags Details

  None (edit)
Description Tom 2013-06-14 02:21:35 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.1-4.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :4 -background none -verbose -auth /run/gdm/auth-for-gdm-MjeuX9/database -seat seat0 -nolisten tcp vt1
crash_function: OsAbort
executable:     /usr/bin/Xorg
kernel:         3.9.3-301.fc19.x86_64
runlevel:       unknown
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 OsAbort at utils.c:1299
 #3 FatalError at log.c:814
 #4 switch_to at lnx_init.c:72
 #5 xf86CloseConsole at lnx_init.c:308
 #6 ddxGiveUp at xf86Init.c:1069
 #7 AbortDDX at xf86Init.c:1119
 #8 AbortServer at log.c:670
 #9 FatalError at log.c:811
 #10 switch_to at lnx_init.c:72
 #11 xf86OpenConsole at lnx_init.c:258

Potential duplicate: bug 873929
Comment 1 Tom 2013-06-14 02:21:40 EDT
Created attachment 761084 [details]
File: backtrace
Comment 2 Tom 2013-06-14 02:21:46 EDT
Created attachment 761085 [details]
File: cgroup
Comment 3 Tom 2013-06-14 02:21:49 EDT
Created attachment 761086 [details]
File: core_backtrace
Comment 4 Tom 2013-06-14 02:21:53 EDT
Created attachment 761087 [details]
File: dso_list
Comment 5 Tom 2013-06-14 02:21:56 EDT
Created attachment 761088 [details]
File: environ
Comment 6 Tom 2013-06-14 02:21:59 EDT
Created attachment 761089 [details]
File: limits
Comment 7 Tom 2013-06-14 02:22:02 EDT
Created attachment 761090 [details]
File: maps
Comment 8 Tom 2013-06-14 02:22:05 EDT
Created attachment 761091 [details]
File: open_fds
Comment 9 Tom 2013-06-14 02:22:08 EDT
Created attachment 761092 [details]
File: proc_pid_status
Comment 10 Tom 2013-06-14 02:22:12 EDT
Created attachment 761093 [details]
File: var_log_messages
Comment 11 Sergio Monteiro Basto 2013-08-01 14:02:41 EDT
you may update it with:

# su -c 'yum update xorg-x11-server-\*' 

you should get :
xorg-x11-server-Xorg-1.14.2-7.fc19

could you try and report back ?  please.
Comment 12 Yann Droneaud 2013-11-22 06:14:25 EST
Hi,

I'm using xorg-x11-server-Xorg-1.14.4-3.fc19. My issue might be related to "nouveau" driver. Please see the following attachment.
Comment 13 Yann Droneaud 2013-11-22 06:20:10 EST
Created attachment 827684 [details]
Xorg log

Xorg server log, with errors "Failed to switch from vt01 to vt02: Input/output error" and backtrace.
Comment 14 Yann Droneaud 2013-11-22 06:22:23 EST
Created attachment 827685 [details]
kernel log with nouveau debug messages

Kernel log related to the Xorg crash with nouveau driver: 

  kernel: nouveau E[     DRM] GPU lockup - switching to software fbcon
  kernel: nouveau E[Xorg[804]] failed to idle channel 0xcccc0000 [Xorg[804]]
  kernel: nouveau E[     PFB][0000:0f:00.0] trapped read at 0x002001a040 on channel 0x0000fb24 [unknown] SEMAPHORE_BG/PFIFO_READ/00 reason: PAGE_NOT_PRESENT
  kernel: nouveau E[     PFB][0000:0f:00.0] trapped write at 0x00203a3000 on channel 0x0000fb24 [Xorg[804]] PGRAPH/PROP/DST2D reason: PAGE_NOT_PRESENT
  kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_TPDMA_2D - TP 0 - Unknown fault at address 00203a3000

  ...
Comment 15 Paulo Fidalgo 2014-11-27 05:59:28 EST
Today I've tried again loading this image, which has caused trouble in past:

http://cursos.eduke.me/wp-content/uploads/2014/03/marketing-comunicacao-digital.jpg

and got no problems.
Comment 16 Fedora End Of Life 2015-01-09 13:25:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 10:34:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.